View Issue Details

IDProjectCategoryView StatusLast Update
0003512SymmetricDSImprovementpublic2019-05-14 13:00
ReportergwilmerAssigned Tojaredfrees 
Prioritynormal 
Status resolvedResolutionfixed 
Product Version 
Target Version3.10.3Fixed in Version3.10.3 
Summary0003512: Make snapshot name configurable
DescriptionAllow the name of the snapshot to be configurable and allow any of the following variables:

- hostname
 - engine name
 - timestamp
Tagsstatistics

Activities

jaredfrees

2019-05-14 12:34

developer   ~0001484

Added an optional parameter to the Node Properties File called: snapshot.file.include.hostname
default: snapshot.file.include.hostname=false
type: boolean
If snapshot.file.include.hostname=true then the hostname of environment of the node will be prefixed in front of the existing snapshot filename with an underscore as <hostname>_<snapshot-filename>.zip
Complete snapshot filename with optional hostname: <hostname>_<engine.name>-<timestamp>.zip
We do not want to make the engine name or timestamp optional because they are needed to identify the snapshot.

Related Changesets

SymmetricDS: 3.10 a2d08543

2019-05-14 12:33:52

jfrees

Details Diff
0003512: Make snapshot name configurable
0003512
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/util/SnapshotUtil.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

Issue History

Date Modified Username Field Change
2018-04-06 11:40 gwilmer New Issue
2019-05-13 14:02 elong Tag Attached: statistics
2019-05-13 14:19 elong Assigned To => jaredfrees
2019-05-13 14:19 elong Status new => assigned
2019-05-13 14:19 elong Target Version => 3.10.3
2019-05-14 11:46 jaredfrees Status assigned => acknowledged
2019-05-14 12:34 jaredfrees Status acknowledged => resolved
2019-05-14 12:34 jaredfrees Resolution open => fixed
2019-05-14 12:34 jaredfrees Fixed in Version => 3.10.3
2019-05-14 12:34 jaredfrees Note Added: 0001484
2019-05-14 13:00 jfrees Changeset attached => SymmetricDS 3.10 a2d08543